{ pkgs, lib, ... }:
{
  boot = {
    kernelPackages = pkgs.unstable.linuxPackages_latest;
    blacklistedKernelModules = [ "pcspkr" ];
  };

  # Kernel that won't explode the MacBook Air
  specialisation.oldkernel.configuration.config = {
    boot.kernelPackages = lib.mkForce pkgs.linuxPackages_5_10;
  };
}
