{ lib, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ./users
    ../../modules/system
  ];

  services.keyd.keyboards.default.settings.main = {
    leftmeta = lib.mkForce "overload(control, esc)";
    leftcontrol = lib.mkForce "leftmeta";
    f13 = lib.mkForce "delete";
  };

  system.lanzaboote.enable = true;

  networking.hostName = "lacros";
  system.stateVersion = "24.11";
}
