# Sway Window Manager Hotkeys

## Application Launchers
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Win + F1             | Launch **LibreWolf** (Jim profile)        |
| Win + F2             | Launch **LibreWolf** (Alt profile)        |
| Win + F3             | Launch **LibreWolf** (Misc profile)       |
| Win + F4             | Launch **Discord**                        |
| Win + F5             | Launch **Steam**                          |
| Win + F6             | Launch **Heroic Games**                   |
| Win + F7             | Launch **Looking Glass** VM Client        |
| Win + F10            | Launch **Virt-Manager**                   |
| Win + F11            | Open **Rofi Scratchpads**                 |
| Win + F12            | Open **NixOS Configuration Files**        |

## Window Management
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Win + Arrows         | Focus in the specified direction          |
| Win + Shift + Arrows | Move window in the specified direction    |
| Win + Shift + Space  | Toggle window floating                    |
| Win + Space          | Switch focus between floating/tiled       |
| Win + Shift + {1-9}  | Move window to a workspace and focus      |
| Win + {1-9}          | Switch to specified workspace             |
| Win + 0              | Pin window and toggle border              |
| Win + F              | Toggle fullscreen                         |
| Win + Shift + R      | Reload configuration                      |
| Win + Q              | Close the current window                  |

## Layout Management
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Win + W              | Toggle split layout                       |
| Win + E              | Toggle tabbed/stacking layout             |
| Win + H/V            | Split window horizontally/vertically      |
| Win + A/D            | Focus parent/child container              |

## Volume and Media Controls
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| XF86AudioRaiseVolume | Raise system volume                       |
| XF86AudioLowerVolume | Lower system volume                       |
| XF86AudioMute        | Mute/unmute audio                         |
| XF86AudioPlay        | Toggle media playback                     |
| XF86AudioNext        | Skip to the next track                    |
| XF86AudioPrev        | Go to the previous track                  |

## Screenshot and Brightness Controls
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Print                | Take a screenshot                         |
| Shift + Print        | Screenshot of the current window          |
| Brightness Up + Down | Change screen brightness                  |

## Scratchpads
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Ctrl + Shift + Escape | Open **Gotop** (monitoring)              |
| Win + Shift + M      | Open **Music** scratchpad                 |
| Win + Shift + V      | Open **Sound Settings** scratchpad        |
| Win + Shift + Backslash | Open **EasyEffects** scratchpad        |

## Special Sway Tools
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Win + Escape         | **Kill** selected window                  |
| Win + Ctrl + X       | **Inspect** window properties             |
| Win + Ctrl + Prior/Next | Switch OBS scene to **Main**/**Guest** |

## Miscellaneous
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Win + Return         | Open **Foot terminal**                    |
| Win + S              | Open **Rofi (run commands)**              |
| Win + C              | Open **Clipman (clipboard manager)**      |
| Win + X              | Open **Power Menu**                       |
| Win + B              | Show/Hide **Waybar**                      |

## Workspaces (Alternate)
| Key Combination      | Action                                    |
|----------------------|-------------------------------------------|
| Alt + F1-F9          | Switch to alternate workspace             |
| Alt + Shift + F1-F9  | Move window to alt workspace and focus    |
