{ config, ... }:
{
  # Monitors
  wayland.windowManager.hyprland.settings = {
    monitor = [
      "${config.displays.d1},1920x1080@143.980, 3840x405, 1"
      "${config.displays.d2},1920x1080@60, 1920x405, 1"
      "${config.displays.d3},1680x1050@59.883, 5760x0, 1, transform, 1"
      "${config.displays.d4},1920x1080@60, 0x405, 1"
    ];

    workspace = [
      "name:${config.ws.w1}, monitor:${config.displays.d1}, default:true"
      "name:${config.ws.w2}, monitor:${config.displays.d1}"
      "name:${config.ws.w3}, monitor:${config.displays.d1}"
      "name:${config.ws.w1a}, monitor:${config.displays.d1}"
      "name:${config.ws.w2a}, monitor:${config.displays.d1}"
      "name:${config.ws.w3a}, monitor:${config.displays.d1}"

      "name:${config.ws.w4}, monitor:${config.displays.d2}, default:true"
      "name:${config.ws.w5}, monitor:${config.displays.d2}"
      "name:${config.ws.w6}, monitor:${config.displays.d2}"
      "name:${config.ws.w4a}, monitor:${config.displays.d2}"
      "name:${config.ws.w5a}, monitor:${config.displays.d2}"

      "name:${config.ws.w7}, monitor:${config.displays.d3}, default:true"
      "name:${config.ws.w8}, monitor:${config.displays.d3}"
      "name:${config.ws.w9}, monitor:${config.displays.d3}"
      "name:${config.ws.w7a}, monitor:${config.displays.d3}"
      "name:${config.ws.w8a}, monitor:${config.displays.d3}"

      "name:${config.ws.w6a}, monitor:${config.displays.d4}, default:true"
      "name:${config.ws.w9a}, monitor:${config.displays.d4}"
    ];
  };
}
