{ config, lib, ... }:
{
  config = lib.mkIf config.system.desktop.enable {
    programs = {
      sway.enable = true;
      niri.enable = true;
      hyprland.enable = true;
      xwayland.enable = lib.mkForce true;
    };

    environment.sessionVariables = {
      WLR_RENDERER = "vulkan";
      NIXOS_OZONE_WL = "1";
    };

    services.dbus.enable = true;
    security.pam.services.swaylock = {};
  };
}
