{ config, ... }:
{
  imports = [
    ./boot
    ./disko
    ./filesystems
    ./hardware
    ../../modules/system
  ];

  system.lanzaboote.enable = true;

  system.wireguard.client.enable = true;
  networking.wireguard.interfaces.wgc.ips = [ "10.100.0.23/24" ];

  networking.hostName = "redmond";
}
