{ config, ... }:
{
  wayland.windowManager.hyprland.settings = {
    input = {
      follow_mouse = 1;
      accel_profile = "flat";
      scroll_factor = 0.8;
      touchpad.natural_scroll = false;
    };
    gestures.workspace_swipe = false;
    device = {
      name = "sinowealth-game-mouse";
      sensitivity = "-0.9";
    };
  };
}
