{ config, ... }:
{
  wayland.windowManager.hyprland.settings.plugin = {
    hy3 = {
      no_gaps_when_only = 0;
      node_collapse_policy = 0;
      group_inset = 5;
      tabs = {
        text_font = config.look.fonts.main;
        text_height = 10;
        height = 17;
        padding = 0;
        rounding = 0;
        "col.active" = "rgba(${config.look.colors.prime}FF)";
        "col.inactive" = "rgba(${config.look.colors.split}FF)";
        "col.urgent" = "rgba(${config.look.colors.urgent}FF)";
        "col.text.active" = "rgba(${config.look.colors.text}FF)";
        "col.text.inactive" = "rgba(${config.look.colors.text}FF)";
      };
    };
  };
}
