{ pkgs, config, ... }:
{
  home.packages = with pkgs; [ hyprpaper ];

  services.hyprpaper = {
    enable = true;
    settings = {
      splash = false;
      preload = [
        "~/.assets/wallpapers/1.png"
        "~/.assets/wallpapers/2.png"
        "~/.assets/wallpapers/3.png"
      ];
      wallpaper = [
        ",~/.assets/wallpapers/1.png"
        "${config.displays.d2},~/.assets/wallpapers/2.png"
        "${config.displays.d3},~/.assets/wallpapers/3.png"
      ];
    };
  };
}
